Schneider (CVE-2018-7810)

medium Tenable.ot Plugin ID 500245

Synopsis

The remote OT asset is affected by a vulnerability.

Description

An Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting') vulnerability exists in the embedded web servers in all Modicon M340, Premium, Quantum PLCs and BMXNOR0200 allowing an attacker to craft a URL containing JavaScript that will be executed within the user's browser, potentially impacting the machine the browser is running on.

This plugin only works with Tenable.ot. Please visit https://www.tenable.com/products/tenable-ot for more information.

Solution

Refer to the vendor advisory.

See Also

http://www.nessus.org/u?36792959

https://www.tenable.com/security/research/tra-2018-38

Plugin Details

Severity: Medium

ID: 500245

Version: 1.1

Type: remote

Family: Tenable.ot

Published: 2/7/2022

Updated: 2/7/2022

Risk Information

VPR

Risk Factor: Low

Score: 3

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N

CVSS Score Source: CVE-2018-7810

CVSS v3

Risk Factor: Medium

Base Score: 6.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Vulnerability Information

CPE: cpe:/o:schneider-electric:modicom_m340_firmware, cpe:/o:schneider-electric:modicom_premium_firmware, cpe:/o:schneider-electric:modicom_quantum_firmware

Required KB Items: Tenable.ot/Schneider

Exploit Ease: No known exploits are available

Patch Publication Date: 11/30/2018

Vulnerability Publication Date: 11/30/2018

Reference Information

CVE: CVE-2018-7810

CWE: 79